Loading...
Searching...
No Matches
Dune::PolyhedralGridEntity< 0, dim, Grid > Class Template Reference

construct a null entity More...

`#include <entity.hh>`

Inheritance diagram for Dune::PolyhedralGridEntity< 0, dim, Grid >:

## Public Member Functions

const This & | dereference () const
This & | dereference ()
unsigned int | subEntities (const unsigned int codim) const
template<int codim>
int | count () const
template<int codim>
Grid::template Codim< codim >::EntityPointer | subEntity (int i) const
bool | hasBoundaryIntersections () const
LeafIntersectionIterator | ibegin () const
LeafIntersectionIterator | iend () const
LeafIntersectionIterator | ileafbegin () const
LevelIntersectionIterator | ilevelbegin () const
LeafIntersectionIterator | ileafend () const
LevelIntersectionIterator | ilevelend () const
bool | isLeaf () const
EntityPointer | father () const
bool | hasFather () const
LocalGeometry | geometryInFather () const
HierarchicIterator | hbegin (int maxLevel) const
HierarchicIterator | hend (int) const
bool | isRegular () const
bool | isNew () const
bool | mightVanish () const
ExtraData | data () const
Public Member Functions inherited from Dune::PolyhedralGridEntityBasic< codim, dim, Grid >
bool | equals (const PolyhedralGridEntityBasic &other) const
| PolyhedralGridEntityBasic ()
| construct a null entity
| PolyhedralGridEntityBasic (ExtraData data)
| construct a null entity with data pointer
| PolyhedralGridEntityBasic (ExtraData data, const EntitySeed &seed)
| construct an initialized entity
GeometryType | type () const
| obtain the name of the corresponding reference element
int | level () const
| obtain the level of this entity
PartitionType | partitionType () const
| obtain the partition type of this entity
Geometry | geometry () const
| obtain the geometry of this entity
EntitySeed | seed () const
| return EntitySeed
ExtraData | data () const
Index | index () const
Public Member Functions inherited from Dune::PolyhedralGridEntityBasic< 0, dim, Grid >
bool | equals (const PolyhedralGridEntityBasic &other) const
| PolyhedralGridEntityBasic ()
| construct a null entity
| PolyhedralGridEntityBasic (ExtraData data)
| construct a null entity with data pointer
| PolyhedralGridEntityBasic (ExtraData data, const EntitySeed &seed)
| construct an initialized entity
GeometryType | type () const
| obtain the name of the corresponding reference element
int | level () const
| obtain the level of this entity
PartitionType | partitionType () const
| obtain the partition type of this entity
Geometry | geometry () const
| obtain the geometry of this entity
EntitySeed | seed () const
| return EntitySeed
ExtraData | data () const
Index | index () const

## Static Public Attributes

static const int | codimension
| codimensioon of the entity
static const int | codimension = codim
| codimensioon of the entity
static const int | dimension = Traits::dimension
| dimension of the grid
static const int | mydimension = dimension - codimension
| dimension of the entity
static const int | dimensionworld = Traits::dimensionworld
| dimension of the world
Static Public Attributes inherited from Dune::PolyhedralGridEntityBasic< 0, dim, Grid >
static const int | codimension
| codimensioon of the entity
static const int | dimension
| dimension of the grid
static const int | mydimension
| dimension of the entity
static const int | dimensionworld
| dimension of the world

## Protected Types

typedef Base::Traits | Traits
typedef Base::ExtraData | ExtraData
typedef Traits::LeafIntersectionIteratorImpl | LeafIntersectionIteratorImpl
typedef Traits::template Codim< codimension >::LocalGeometryImpl | LocalGeometryImpl
Protected Types inherited from Dune::PolyhedralGridEntityBasic< codim, dim, Grid >
typedef std::remove_const< Grid >::type::Traits | Traits
typedef Traits::ExtraData | ExtraData
Protected Types inherited from Dune::PolyhedralGridEntityBasic< 0, dim, Grid >
typedef std::remove_const< Grid >::type::Traits | Traits
typedef Traits::ExtraData | ExtraData

## Protected Attributes

EntitySeed | seed_
Protected Attributes inherited from Dune::PolyhedralGridEntityBasic< codim, dim, Grid >
ExtraData | data_
EntitySeed | seed_
Protected Attributes inherited from Dune::PolyhedralGridEntityBasic< 0, dim, Grid >
ExtraData | data_
EntitySeed | seed_

## Types Required by DUNE

typedef Base::EntitySeed | EntitySeed
typedef Traits::template Codim< codimension >::LocalGeometry | LocalGeometry
| type of corresponding local geometry
typedef Traits::template Codim< codimension >::Entity | Entity
| type of corresponding entity
typedef Traits::template Codim< codimension >::EntityPointer | EntityPointer
| type of corresponding entity
typedef Traits::HierarchicIterator | HierarchicIterator
| type of hierarchic iterator
typedef Traits::LeafIntersectionIterator | LeafIntersectionIterator
| type of leaf intersection iterator
typedef Traits::LevelIntersectionIterator | LevelIntersectionIterator
| type of level intersection iterator

## Construction, Initialization and Destruction

| PolyhedralGridEntity ()
| construct a null entity
| PolyhedralGridEntity (ExtraData data_param)
| construct a null entity with data pointer
| PolyhedralGridEntity (ExtraData data_param, const EntitySeed &seed)
| construct an initialized entity

## Additional Inherited Members

typedef Traits::ctype | ctype
| coordinate type of the grid
typedef Traits::Index | Index
typedef Grid::template Codim< codimension >::Entity | Entity
| type of entity
typedef Grid::template Codim< codimension >::EntitySeed | EntitySeed
| type of corresponding entity seed
typedef Traits::template Codim< codimension >::Geometry | Geometry
| type of corresponding geometry
typedef Traits::template Codim< codimension >::GeometryImpl | GeometryImpl
Public Types inherited from Dune::PolyhedralGridEntityBasic< 0, dim, Grid >
typedef Traits::ctype | ctype
| coordinate type of the grid
typedef Traits::Index | Index
typedef Grid::template Codim< codimension >::Entity | Entity
| type of entity
typedef Grid::template Codim< codimension >::EntitySeed | EntitySeed
| type of corresponding entity seed
typedef Traits::template Codim< codimension >::Geometry | Geometry
| type of corresponding geometry
typedef Traits::template Codim< codimension >::GeometryImpl | GeometryImpl

## Detailed Description

template<int dim, class Grid>
class Dune::PolyhedralGridEntity< 0, dim, Grid >

construct a null entity

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/entity.hh